org.apache.thrift.transport

## Class TNonblockingServerTransport

- java.lang.Object
- - org.apache.thrift.transport.TServerTransport
  - - org.apache.thrift.transport.TNonblockingServerTransport

- Direct Known Subclasses:
    TNonblockingServerSocket

      public abstract class TNonblockingServerTransport
      extends TServerTransport

  Server transport that can be operated in a nonblocking fashion.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TNonblockingServerTransport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `registerSelector(java.nio.channels.Selector selector)`

    - ### Methods inherited from class org.apache.thrift.transport.TServerTransport

      `accept, acceptImpl, close, interrupt, listen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TNonblockingServerTransport

          public TNonblockingServerTransport()

  - ### Method Detail

    - #### registerSelector

          public abstract void registerSelector(java.nio.channels.Selector selector)